org.keycloak.models.map.userSession

## Class MapAuthenticatedClientSessionEntity<K>

- java.lang.Object
- - org.keycloak.models.map.userSession.MapAuthenticatedClientSessionEntity<K>

- All Implemented Interfaces:
    AbstractEntity<K>, UpdatableEntity

      public class MapAuthenticatedClientSessionEntity<K>
      extends Object
      implements AbstractEntity<K>

  Author:
    Martin Kanis

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `updated` Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapAuthenticatedClientSessionEntity()`
    `MapAuthenticatedClientSessionEntity(K id, String userSessionId, String realmId, String clientId, boolean offline)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNote(String name, String value)`
    `String` | `getAction()`
    `String` | `getAuthMethod()`
    `String` | `getClientId()`
    `String` | `getCurrentRefreshToken()`
    `int` | `getCurrentRefreshTokenUseCount()`
    `long` | `getExpiration()`
    `K` | `getId()`
    `Map<String,String>` | `getNotes()`
    `String` | `getRealmId()`
    `String` | `getRedirectUri()`
    `int` | `getTimestamp()`
    `String` | `getUserSessionId()`
    `boolean` | `isOffline()`
    `boolean` | `isUpdated()` Flag signalizing that any of the setters has been meaningfully used.
    `String` | `removeNote(String name)`
    `void` | `setAction(String action)`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setClientId(String clientId)`
    `void` | `setCurrentRefreshToken(String currentRefreshToken)`
    `void` | `setCurrentRefreshTokenUseCount(int currentRefreshTokenUseCount)`
    `void` | `setExpiration(long expiration)`
    `void` | `setNotes(Map<String,String> notes)`
    `void` | `setOffline(boolean offline)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRedirectUri(String redirectUri)`
    `void` | `setTimestamp(int timestamp)`
    `void` | `setUserSessionId(String userSessionId)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### updated

          protected boolean updated

      Flag signalizing that any of the setters has been meaningfully used.

  - ### Constructor Detail

    - #### MapAuthenticatedClientSessionEntity

          public MapAuthenticatedClientSessionEntity()

    - #### MapAuthenticatedClientSessionEntity

          public MapAuthenticatedClientSessionEntity(K id,
                                                     String userSessionId,
                                                     String realmId,
                                                     String clientId,
                                                     boolean offline)

  - ### Method Detail

    - #### getId

          public K getId()

      Specified by:
        `getId` in interface `AbstractEntity<K>`

    - #### isUpdated

          public boolean isUpdated()

      Description copied from interface: `UpdatableEntity`
      Flag signalizing that any of the setters has been meaningfully used.
      Specified by:
        `isUpdated` in interface `UpdatableEntity`
      Returns:

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getUserSessionId

          public String getUserSessionId()

    - #### setUserSessionId

          public void setUserSessionId(String userSessionId)

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public void setRedirectUri(String redirectUri)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getExpiration

          public long getExpiration()

    - #### setExpiration

          public void setExpiration(long expiration)

    - #### getAction

          public String getAction()

    - #### setAction

          public void setAction(String action)

    - #### getNotes

          public Map<String,String> getNotes()

    - #### setNotes

          public void setNotes(Map<String,String> notes)

    - #### removeNote

          public String removeNote(String name)

    - #### addNote

          public void addNote(String name,
                              String value)

    - #### getCurrentRefreshToken

          public String getCurrentRefreshToken()

    - #### setCurrentRefreshToken

          public void setCurrentRefreshToken(String currentRefreshToken)

    - #### getCurrentRefreshTokenUseCount

          public int getCurrentRefreshTokenUseCount()

    - #### setCurrentRefreshTokenUseCount

          public void setCurrentRefreshTokenUseCount(int currentRefreshTokenUseCount)

    - #### isOffline

          public boolean isOffline()

    - #### setOffline

          public void setOffline(boolean offline)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.